Package opennlp.tools.cmdline.namefind

## Class NameSampleCountersStream

- java.lang.Object
- - opennlp.tools.util.FilterObjectStream<NameSample,​NameSample>
  - - opennlp.tools.cmdline.namefind.NameSampleCountersStream

- All Implemented Interfaces:
    `AutoCloseable`, `ObjectStream<NameSample>`

      public class NameSampleCountersStream
      extends FilterObjectStream<NameSample,​NameSample>

  Counts tokens, sentences and names by type.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Map<String,​Integer>` | `getNameCounters()` |
    `int` | `getSentenceCount()` |
    `int` | `getTokenCount()` |
    `void` | `printSummary()` |
    `NameSample` | `read()` | Returns the next `ObjectStream` object.
    `void` | `reset()` | Repositions the stream at the beginning and the previously seen object sequence will be repeated exactly.

    - ### Methods inherited from class opennlp.tools.util.FilterObjectStream

      `close`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### read

          public NameSample read()
                          throws IOException

      Description copied from interface: `ObjectStream`
      Returns the next `ObjectStream` object. Calling this method repeatedly until it returns `null` will return each object from the underlying source exactly once.
      Returns:
        The next object or `null` to signal that the stream is exhausted.
      Throws:
        `IOException` - Thrown if there is an error during reading.

    - #### reset

          public void reset()
                     throws IOException,
                            UnsupportedOperationException

      Description copied from interface: `ObjectStream`
      Repositions the stream at the beginning and the previously seen object sequence will be repeated exactly. This method can be used to re-read the stream if multiple passes over the objects are required.

      The implementation of this method is optional.

      Specified by:
        `reset` in interface `ObjectStream<NameSample>`
      Overrides:
        `reset` in class `FilterObjectStream<NameSample,​NameSample>`
      Throws:
        `IOException` - Thrown if there is an error during resetting the stream.
        `UnsupportedOperationException` - Thrown if the `reset()` is not supported. By default, this is the case.

    - #### getSentenceCount

          public int getSentenceCount()

    - #### getTokenCount

          public int getTokenCount()

    - #### getNameCounters

          public Map<String,​Integer> getNameCounters()

    - #### printSummary

          public void printSummary()